Subject: bug#4914: completions - remove window after use?

From: martin rudalics <[email-masked]>
Date: Thu, 12 Nov 2009 18:40:25 +0100

> When reverting to revision e78283bb (Tue Aug 18, just before
 > minibuffer-hide-completions was introduced), the problem goes away and
 > the *Completions* buffer continuous to be shown in the extra window.
 > I think it's now burying the buffer, but doesn't delete the window.

I wasn't aware of that.  Is the new behavior anywhere documented?

 > Again, the desired behavior would be to remove windows (or frames)
 > that were created to display the *Completions* buffer rather than to
 > leave them visible.

Deleting the window isn't necessarily the right thing either - think of
the case where displaying the *completions* buffer reuses an existing
window instead of popping up a new one.  I'm currently experimenting
with a generic solution for this problem.

martin